﻿using Infragistics.Windows.Reporting;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = GetEmployees(500).DefaultView;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Report report1 = new Report();
            EmbeddedVisualReportSection section1 = new EmbeddedVisualReportSection(this.xamDataGrid1);
            report1.Sections.Add(section1);
           
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){ Content = new TextBlock() { Text = "new content 1" } }));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){Content =new TextBlock() { Text = "new content 2" }}));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){Content =new TextBlock() { Text = "new content 3" }}));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){Content =new TextBlock() { Text = "new content 4" }}));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){Content =new TextBlock() { Text = "new content 5" }}));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){Content =new TextBlock() { Text = "new content 6" }}));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){Content =new TextBlock() { Text = "new content 7"  }}));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){Content =new TextBlock() { Text = "new content 8" }}));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){ Content = new TextBlock() { Text = "new content 9" }}));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){ Content = new TextBlock() { Text = "new content 10" } }));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl(){ Content = new TextBlock() { Text = "new content 11" } }));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl() { Content = new TextBlock() { Text = "new content 12" } }));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl() { Content = new TextBlock() { Text = "new content 13" } }));
            report1.Sections.Add(new EmbeddedVisualReportSection(new UserControl() { Content = new TextBlock() { Text = "new content 14" } }));

            //report1.Print();
            xamReportPreview1.GeneratePreview(report1, false, false);
            //The following line of code will export
            //the contents of xamDataGrid to an XPS document.
            //report1.Export(OutputFormat.XPS, "c:\\xamDataGrid1.xps");
        }

        private DataTable GetEmployees(int count)
        {
            DataTable dtData = new DataTable("Employees");

            dtData.Columns.Add("EmployeeID", typeof(int));
            dtData.Columns.Add("Name", typeof(string));
            dtData.Columns.Add("OnSite", typeof(bool));
            dtData.Columns.Add("DateOfHire", typeof(DateTime));
            dtData.Columns.Add("Department", typeof(int));
            dtData.Columns.Add("Site", typeof(string));


            for (int i = 0; i < count; i++)
            {
                dtData.Rows.Add(new object[] { i, string.Format("Name {0}", i), (i % 2 == 0), DateTime.Today.Date.AddDays(-1 * i), i % 8, "http://www.google.com" });
            }

            dtData.PrimaryKey = new DataColumn[] { dtData.Columns["EmployeeID"] };

            return dtData;
        }
    }
}
